Page MenuHomePhabricator

Allow wikibase to operate without the term_search_key column
Closed, ResolvedPublic

Description

Introduce a setting that allows Wikibase to operate even if the term_search_key column is missing from the wb_terms table. This is useful for sites that can not update their database schema easily.

Note: Not being able to use term_search_key mans that only exact matches will be found. That's sad, but acceptable.


Version: unspecified
Severity: major

Details

Reference
bz42683

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 12:45 AM
bzimport set Reference to bz42683.
daniel created this task.Dec 4 2012, 2:09 PM
daniel added a comment.Dec 4 2012, 2:26 PM

Addressed in I729393f2

merged by john

Change I729393f2: new option withoutTermSearchKey

Verified in Wikidata demo sprint 25

Restricted Application added a project: Wikidata. · View Herald TranscriptJan 28 2016, 6:02 PM